<ng-container *ngIf="{
          categories: categories$ | async,
          participants: participants$ | async,
          screenSize: screenSize$ | async } as vm">
  <app-page-form>
    <ng-container ngProjectAs="[page-form-content]">
      <h1>
        {{ 'admin.team.edit.seo.' + mode.toString().toLocaleLowerCase() + '.title' | translate }}
      </h1>
      <p>
        {{ 'admin.team.edit.seo.' + mode.toString().toLocaleLowerCase() + '.description' | translate }}
      </p>
      <form [formGroup]="formGroup"
            #form="ngForm" (ngSubmit)="formGroup.valid && save()">
        <mat-form-field>
          <mat-label>
            {{ 'admin.team.edit.form.category' | translate }}
          </mat-label>
          <app-async-select [loading]="loading.category"
                            [control]="formGroup.controls.category"
                            [updateDisable]="mode !== editModeEnum.UPDATE">
            <mat-select formControlName="category" (selectionChange)="categoryChange()">
              <mat-option *ngFor="let category of vm.categories?.items; trackBy: trackBySlug"
                          [value]="category.slug">
                {{ category.name }}
              </mat-option>
            </mat-select>
          </app-async-select>
          <mat-error *ngIf="formGroup.controls.category.errors?.required">
            {{ 'admin.common.validation.required' | translate }}
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-label>
            {{ 'admin.team.edit.form.participant' | translate }}
          </mat-label>
          <app-async-select [loading]="loading.participant"
                            [control]="formGroup.controls.participant"
                            [updateDisable]="mode !== editModeEnum.UPDATE">
            <mat-select formControlName="participant" [compareWith]="compareBySlug">
              <mat-select-trigger class="team">
                <figure *ngIf="('common.team.defaultPicture.url' | translate) && formGroup.getRawValue().participant as participant">
                  <img class="lazy-load"
                       [lazyLoad]="participant?.logoUrl || ('common.team.defaultPicture.url' | translate)"
                       [errorImage]="'common.team.defaultPicture.url' | translate"
                       [alt]="participant?.name" />
                  <figcaption>
                    {{ participant | teamName:vm.screenSize }}
                  </figcaption>
                </figure>
              </mat-select-trigger>
              <mat-option *ngFor="let participant of vm.participants?.items; trackBy: trackBySlug"
                          [value]="participant" class="team">
                <figure *ngIf="'common.team.defaultPicture.url' | translate">
                  <img class="lazy-load"
                       [lazyLoad]="participant.logoUrl || ('common.team.defaultPicture.url' | translate)"
                       [errorImage]="'common.team.defaultPicture.url' | translate"
                       [alt]="participant.name" />
                  <figcaption>
                    {{ participant | teamName:vm.screenSize }}
                  </figcaption>
                </figure>
              </mat-option>
            </mat-select>
          </app-async-select>
          <mat-error *ngIf="formGroup.controls.participant.errors?.required">
            {{ 'admin.common.validation.required' | translate }}
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-label>
            {{ 'admin.team.edit.form.index' | translate }}
          </mat-label>
          <input matInput type="number"
                 name="index" formControlName="index"/>
          <mat-error *ngIf="formGroup.controls.index.errors?.required">
            {{ 'admin.common.validation.required' | translate }}
          </mat-error>
        </mat-form-field>
      </form>
    </ng-container>
    <ng-container ngProjectAs="[page-form-footer]">
      <a mat-stroked-button color="accent"
         [routerLink]="previousRouteCommands?.commands"
         [queryParams]="previousRouteCommands?.queryParams">
        <mat-icon>
          cancel
        </mat-icon>
        {{ 'admin.common.action.cancel' | translate }}
      </a>
      <app-async-button [loading]="loading.save">
        <button mat-flat-button color="primary" (click)="form.onSubmit($event)">
          <mat-icon>
            save
          </mat-icon>
          {{ 'admin.common.action.save' | translate }}
        </button>
      </app-async-button>
    </ng-container>
  </app-page-form>
</ng-container>
